Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Interface ICmAppointment

All Superinterfaces
  IAppointment, IAttachmentSupport, ICalendarItem, ICmItem, IGroupwareItem, IItem, IMessagingItem, Serializable

    public interface ICmAppointment

extends IAppointment, ICmItem

Interface provides a definition for a CM specific implementation of appointments

Field Summary
`static Key` | `APPOINTMENT_ID` Represents the id of an appointment.
`static ItemClass` | `CLASS` Defines an item class for the CM specific appointment implementation
`static Key` | `END_TIME_BOUNDARY` Represents the end time boundary of an appointment.
`static Key` | `END_TIME_INSTANCES` Represents the end time instances of an appointment.
`static int` | `KEYID_APPOINTMENT_ID` The `int` ID for the `APPOINTMENT_ID` key.
`static int` | `KEYID_END_TIME_BOUNDARY` The `int` ID for the `END_TIME_BOUNDARY` key.
`static int` | `KEYID_END_TIME_INSTANCES` The `int` ID for the `END_TIME_INSTANCES` key.
`static int` | `KEYID_REPEAT_PATTERN` The `int` ID for the `REPEAT_PATTERN` key.
`static int` | `KEYID_START_TIME_BOUNDARY` The `int` ID for the `START_TIME_BOUNDARY` key.
`static int` | `KEYID_START_TIME_INSTANCES` The `int` ID for the `START_TIME_INSTANCES` key.
`static Key` | `REPEAT_PATTERN` Represents the repeat pattern of an appointment.
`static Key` | `START_TIME_BOUNDARY` Represents the start time boundary of an appointment.
`static Key` | `START_TIME_INSTANCES` Represents the start time instances of an appointment.

Fields inherited from interface com.compoze.collab.groupware.ICalendarItem
`BUSY_STATUS, DURATION, END_TIME, IS_ALL_DAY, IS_RECURRING, KEYID_BUSY_STATUS, KEYID_DURATION, KEYID_END_TIME, KEYID_IS_ALL_DAY, KEYID_IS_RECURRING, KEYID_LOCATION, KEYID_START_TIME, LOCATION, START_TIME`

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.beacm.ICmItem
`ATTACHMENT_COUNT, KEYID_ATTACHMENT_COUNT, KEYID_OWNER, KEYID_VISIBILITY, OWNER, VISIBILITY`

Fields inherited from interface com.compoze.collab.IAttachmentSupport
`ATTACHMENTS, HAS_ATTACHMENT, KEYID_ATTACHMENTS, KEYID_HAS_ATTACHMENT`

Method Summary
`void` | `commit(int iUpdateRule)` Updates the appointment.
`void` | `delete(int iUpdateRule)` Deletes the appointment.
`Date[]` | `getEndTimeInstances()` Gets the end time instances.
`ICmRepeatPattern` | `getRepeatPattern()` Gets the repeat pattern for this appointment.
`Date[]` | `getStartTimeInstances()` Gets the start time instances.
`void` | `setDailyRepeatPattern(int iInterval, Date untilDate, RepeatWeekends weekends)` Sets up this appointment to recur daily until a given date
`void` | `setDailyRepeatPattern(int iInterval, RepeatForUnit forUnit, int iFor, RepeatWeekends weekends)` Sets up this appointment to recur daily
`void` | `setMonthlyByDateRepeatPattern(int iInterval, Date untilDate, RepeatWeekends weekends, int[] daysOfMonth)` Sets up this appointment to recur monthly until a given date
`void` | `setMonthlyByDateRepeatPattern(int iInterval, RepeatForUnit forUnit, int iFor, RepeatWeekends weekends, int[] daysOfMonth)` Sets up this appointment to recur monthly
`void` | `setMonthlyByDayRepeatPattern(int iInterval, Date untilDate, RepeatWeekends weekends, int[] daysOfMonth)` Sets up this appointment to recur monthly until a given date
`void` | `setMonthlyByDayRepeatPattern(int iInterval, RepeatForUnit forUnit, int iFor, RepeatWeekends weekends, int[] daysOfMonth)` Sets up this appointment to recur monthly
`void` | `setWeeklyRepeatPattern(int iInterval, Date untilDate, RepeatWeekends weekends, int[] daysOfWeek)` Sets up this appointment to recur weekly until a given date
`void` | `setWeeklyRepeatPattern(int iInterval, RepeatForUnit forUnit, int iFor, RepeatWeekends weekends, int[] daysOfWeek)` Sets up this appointment to recur weekly
`void` | `setYearlyRepeatPattern(int iInterval, Date untilDate, RepeatWeekends weekends)` Sets up this appointment to recur yearly until a given date
`void` | `setYearlyRepeatPattern(int iInterval, RepeatForUnit forUnit, int iFor, RepeatWeekends weekends)` Sets up this appointment to recur weekly

Methods inherited from interface com.compoze.collab.groupware.IAppointment
`cancel, setAllDayEvent, setAllDayEvent, setBusyStatus, setDates, setLocation`

Methods inherited from interface com.compoze.collab.groupware.ICalendarItem
`getBusyStatus, getDuration, getEndTime, getLocation, getStartTime, isAllDayEvent, isRecurring`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, setBody`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.IAttachmentSupport
`addAttachment, getAttachment, getAttachmentCount, getAttachments, hasAttachment`

Field Detail

### KEYID_APPOINTMENT_ID

    static final int KEYID_APPOINTMENT_ID

  The `int` ID for the `APPOINTMENT_ID` key.

  See Also
    Constants Summary

### KEYID_START_TIME_INSTANCES

    static final int KEYID_START_TIME_INSTANCES

  The `int` ID for the `START_TIME_INSTANCES` key.

  See Also
    Constants Summary

### KEYID_END_TIME_INSTANCES

    static final int KEYID_END_TIME_INSTANCES

  The `int` ID for the `END_TIME_INSTANCES` key.

  See Also
    Constants Summary

### KEYID_REPEAT_PATTERN

    static final int KEYID_REPEAT_PATTERN

  The `int` ID for the `REPEAT_PATTERN` key.

  See Also
    Constants Summary

### KEYID_START_TIME_BOUNDARY

    static final int KEYID_START_TIME_BOUNDARY

  The `int` ID for the `START_TIME_BOUNDARY` key.

  See Also
    Constants Summary

### KEYID_END_TIME_BOUNDARY

    static final int KEYID_END_TIME_BOUNDARY

  The `int` ID for the `END_TIME_BOUNDARY` key.

  See Also
    Constants Summary

### APPOINTMENT_ID

    static final Key APPOINTMENT_ID

  Represents the id of an appointment.

### START_TIME_INSTANCES

    static final Key START_TIME_INSTANCES

  Represents the start time instances of an appointment.

### END_TIME_INSTANCES

    static final Key END_TIME_INSTANCES

  Represents the end time instances of an appointment.

### START_TIME_BOUNDARY

    static final Key START_TIME_BOUNDARY

  Represents the start time boundary of an appointment.

### END_TIME_BOUNDARY

    static final Key END_TIME_BOUNDARY

  Represents the end time boundary of an appointment.

### REPEAT_PATTERN

    static final Key REPEAT_PATTERN

  Represents the repeat pattern of an appointment.

### CLASS

    static final ItemClass CLASS

  Defines an item class for the CM specific appointment implementation

Method Detail

### getStartTimeInstances

    Date[] getStartTimeInstances()
                                 throws CollaborationException

  Gets the start time instances.

  Throws
    `CollaborationException`

### getEndTimeInstances

    Date[] getEndTimeInstances()
                               throws CollaborationException

  Gets the end time instances.

  Throws
    `CollaborationException`

### setDailyRepeatPattern

    void setDailyRepeatPattern(int iInterval,
                               RepeatForUnit forUnit,
                               int iFor,
                               RepeatWeekends weekends)
                               throws CollaborationException

  Sets up this appointment to recur daily

  Parameters
    `iInterval` - recurrence interval
    `forUnit` - unit of the interval (weeks, days, months, ...)
    `iFor` - number of recurrence desired
    `weekends` - specifies pattern behavior if an appointment happens to fall on a weekend
  Throws
    `CollaborationException`

### setDailyRepeatPattern

    void setDailyRepeatPattern(int iInterval,
                               Date untilDate,
                               RepeatWeekends weekends)
                               throws CollaborationException

  Sets up this appointment to recur daily until a given date

  Parameters
    `iInterval` - recurrence interval
    `weekends` - specifies pattern behavior if an appointment happens to fall on a weekend
    `untilDate` - the date when this pattern teminates
  Throws
    `CollaborationException`

### setWeeklyRepeatPattern

    void setWeeklyRepeatPattern(int iInterval,
                                RepeatForUnit forUnit,
                                int iFor,
                                RepeatWeekends weekends,
                                int[] daysOfWeek)
                                throws CollaborationException

  Sets up this appointment to recur weekly

  Parameters
    `iInterval` - recurrence interval
    `forUnit` - unit of the interval(weeks, months, years). Must be at least weeks.
    `iFor` - number of recurrence desired
    `weekends` - specifies pattern behavior if an appointment happens to fall on a weekend
    `daysOfWeek` - days of the week when the appointment should occur (every MONDAY, every TUESDAY ...)
  Throws
    `CollaborationException`

### setWeeklyRepeatPattern

    void setWeeklyRepeatPattern(int iInterval,
                                Date untilDate,
                                RepeatWeekends weekends,
                                int[] daysOfWeek)
                                throws CollaborationException

  Sets up this appointment to recur weekly until a given date

  Parameters
    `iInterval` - recurrence interval
    `weekends` - specifies pattern behavior if an appointment happens to fall on a weekend
    `daysOfWeek` - days of the week when the appointment should occur (every MONDAY, every TUESDAY ...)
    `untilDate` - the date when this pattern teminates
  Throws
    `CollaborationException`

### setMonthlyByDateRepeatPattern

    void setMonthlyByDateRepeatPattern(int iInterval,
                                       RepeatForUnit forUnit,
                                       int iFor,
                                       RepeatWeekends weekends,
                                       int[] daysOfMonth)
                                       throws CollaborationException

  Sets up this appointment to recur monthly

  Parameters
    `iInterval` - recurrence interval
    `forUnit` - unit of the interval(weeks, months, years). Must be at least months.
    `iFor` - number of recurrence desired
    `weekends` - specifies pattern behavior if an appointment happens to fall on a weekend
    `daysOfMonth` - days of the month when the appointment should occur (every 1st of the month, every 15th of the month ...)
  Throws
    `CollaborationException`

### setMonthlyByDateRepeatPattern

    void setMonthlyByDateRepeatPattern(int iInterval,
                                       Date untilDate,
                                       RepeatWeekends weekends,
                                       int[] daysOfMonth)
                                       throws CollaborationException

  Sets up this appointment to recur monthly until a given date

  Parameters
    `iInterval` - recurrence interval
    `weekends` - specifies pattern behavior if an appointment happens to fall on a weekend
    `daysOfMonth` - days of the month when the appointment should occur (every 1st of the month, every 15th of the month ...)
    `untilDate` - the date when this pattern teminates
  Throws
    `CollaborationException`

### setMonthlyByDayRepeatPattern

    void setMonthlyByDayRepeatPattern(int iInterval,
                                      RepeatForUnit forUnit,
                                      int iFor,
                                      RepeatWeekends weekends,
                                      int[] daysOfMonth)
                                      throws CollaborationException

  Sets up this appointment to recur monthly

  Parameters
    `iInterval` - recurrence interval
    `forUnit` - unit of the interval(weeks, months, years). Must be at least months.
    `iFor` - number of recurrence desired
    `weekends` - specifies pattern behavior if an appointment happens to fall on a weekend
    `daysOfMonth` - days of the month when the appointment should occur (every 1st of the month, every 15th of the month ...)
  Throws
    `CollaborationException`

### setMonthlyByDayRepeatPattern

    void setMonthlyByDayRepeatPattern(int iInterval,
                                      Date untilDate,
                                      RepeatWeekends weekends,
                                      int[] daysOfMonth)
                                      throws CollaborationException

  Sets up this appointment to recur monthly until a given date

  Parameters
    `iInterval` - recurrence interval
    `weekends` - specifies pattern behavior if an appointment happens to fall on a weekend
    `daysOfMonth` - days of the month when the appointment should occur (every 1st of the month, every 15th of the month ...)
    `untilDate` - the date when this pattern teminates
  Throws
    `CollaborationException`

### setYearlyRepeatPattern

    void setYearlyRepeatPattern(int iInterval,
                                RepeatForUnit forUnit,
                                int iFor,
                                RepeatWeekends weekends)
                                throws CollaborationException

  Sets up this appointment to recur weekly

  Parameters
    `iInterval` - recurrence interval
    `forUnit` - unit of the interval(weeks, months, years). Must be at least weeks.
    `iFor` - number of recurrence desired
    `weekends` - specifies pattern behavior if an appointment happens to fall on a weekend
  Throws
    `CollaborationException`

### setYearlyRepeatPattern

    void setYearlyRepeatPattern(int iInterval,
                                Date untilDate,
                                RepeatWeekends weekends)
                                throws CollaborationException

  Sets up this appointment to recur yearly until a given date

  Parameters
    `iInterval` - recurrence interval
    `weekends` - specifies pattern behavior if an appointment happens to fall on a weekend
    `untilDate` - the date when this pattern teminates
  Throws
    `CollaborationException`

### getRepeatPattern

    ICmRepeatPattern getRepeatPattern()
                                      throws CollaborationException

  Gets the repeat pattern for this appointment. The pattern is generated by calling any of the `set*RepeatPattern()` methods. If none of these methods were called, this method returns `null`

  Throws
    `CollaborationException` - if there was an error getting the pattern

### commit

    void commit(int iUpdateRule)
                throws CollaborationException

  Updates the appointment.

  Parameters
    `iUpdateRule` - indicates whether to apply the change to the entire pattern, or just this this instance
  Throws
    `CollaborationException`
  See Also
    `ICmRepeatPattern.UPDATE_ALL`, `ICmRepeatPattern.UPDATE_THIS_INSTANCE`

### delete

    void delete(int iUpdateRule)
                throws CollaborationException

  Deletes the appointment.

  Parameters
    `iUpdateRule` - indicates whether to apply the change to the entire pattern, or just this this instance
  Throws
    `CollaborationException`
  See Also
    `ICmRepeatPattern.UPDATE_ALL`, `ICmRepeatPattern.UPDATE_THIS_INSTANCE`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved